package main

import (
	"encoding/xml"
	"fmt"
	"log"
)

// TODO: create a custom type called `password` that is derived from the `string` type

// TODO: satisfy the `TextMarshaller` interface on the `password` type to always
//       return a constant value of ********

type User struct {
	ID       int
	Name     string
	Password string // TODO: change the type to your new type of `password`
}

func main() {
	u := User{
		ID:       1,
		Name:     "Jill Rogers",
		Password: "ksd*23k21!",
	}

	b, err := xml.Marshal(u)
	if err != nil {
		log.Fatal(err)
	}
	fmt.Println(string(b))
}
